=== debian/control ===
Source: i8kutils
Section: utils
Priority: optional
Maintainer: Massimo Dal Zotto <dz@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: i8kutils
Architecture: i386
Depends: ${shlibs:Depends}, tcl8.3 | tclsh, tk8.3 | wish
Conflicts: i8kfan
Replaces: i8kfan
Description: Dell Inspiron and Latitude laptop utilities
 This is a collection of utilities to control Dell Inspiron and Latitude
 laptops. It includes programs to turn the fan on and off, to read fan
 status, CPU temperature, BIOS version and to handle the volume buttons
 and Fn-keys.
 .
 The package includes also a small Tk applet, designed to be swallowed in the
 gnome panel, which monitors the CPU temperature and comtrols automatically
 the fans accordingly to user defined thresholds.
 .
 The programs require the kernel module i8k.o which can be compiled from
 the package sources or found in Linux kernel 2.4.14 and later versions.
 The kernel module has been tested only on Inspiron 8000 laptops but it
 should work on any Inspiron and Latitude laptops.
