## i8kutils 1.27+nmu2

=== debian/changelog ===
i8kutils (1.27+nmu2) unstable; urgency=low

  * Fix a bashism in the i8kbuttons init script.  (Closes: #518205)
  * Add a LSB header to the init scripts.  (Closes: #518203)

 -- Philipp Kern <pkern@debian.org>  Sun, 15 Mar 2009 13:31:56 +0100

i8kutils (1.27+nmu1) unstable; urgency=low

  * Enable building on amd64 and kfreebsd-amd64.  (Closes: #480938)
  * Corrected README.i8kutils to state that the utility is confirmed
    to work with linux-2.6.  (Closes: #366553)
  * Adjust i8kctl(1) to name the fields in line with the documentation
    in i8k.c and README.i8kutils.  (Closes: #427817)
  * Applied a patch by Vincent Crevot to install the init scripts
    again.  (Closes: #356432)

 -- Philipp Kern <pkern@debian.org>  Wed, 04 Mar 2009 00:17:34 +0100
