=== debian/rules ===
--- 
+++ 
@@ -84,8 +84,8 @@
 	# dh_installemacsen
 	# dh_installpam
 	# dh_installmime
-	dh_installinit --init-script=i8kmon
-	dh_installinit --init-script=i8kbuttons
+	dh_installinit --name=i8kmon
+	dh_installinit --name=i8kbuttons
 	# dh_installcron
 	# dh_installinfo
 	dh_installman *.1
