=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: i8kutils
 Section: utils
 Priority: optional
-Maintainer: Massimo Dal Zotto <dz@debian.org>
-Build-Depends: debhelper (>= 4.0.0)
-Standards-Version: 3.6.1
+Maintainer: Bradley Smith <bradsmith@debian.org>
+Build-Depends: debhelper (>= 7)
+Standards-Version: 3.8.1
 
 Package: i8kutils
 Architecture: i386 kfreebsd-i386 amd64 kfreebsd-amd64
@@ -16,9 +16,9 @@
  status, CPU temperature, BIOS version and to handle the volume buttons
  and Fn-keys.
  .
- The package includes also a small Tk applet, designed to be swallowed in the
- gnome panel, which monitors the CPU temperature and controls automatically
- the fans accordingly to user defined thresholds.
+ The package includes also a small Tk applet, designed to be swallowed in
+ the GNOME panel, which monitors the CPU temperature and controls
+ automatically the fans accordingly to user defined thresholds.
  .
  The programs require the kernel module i8k.o which can be compiled from
  the package sources or found in Linux kernel 2.4.14 and later versions.
