=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: i8kutils
 Section: utils
 Priority: optional
-Maintainer: Bradley Smith <bradsmith@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.8.1
+Standards-Version: 3.8.3
 
 Package: i8kutils
 Architecture: i386 kfreebsd-i386 amd64 kfreebsd-amd64
