## i8kutils 1.40

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 CHGFILE	      = $(PKGNAME)_$(VERSION)_$(ARCHITECTURE).changes
 
 # Override with: make module KERNEL_SOURCE=/usr/src/kernel-headers-2.4.17
-KERNEL_SOURCE = /lib/modules/`uname -r`/build
+KERNEL_SOURCE = /lib/modules/$(shell uname -r)/build
 PREFIX	      = /usr
 POLL_TIMEOUT  = 100
 #MODVERSIONS  = -DMODVERSIONS
@@ -29,7 +29,8 @@
 SIGNFILE      = $(DISTFILE).sign
 SRCDIR        = $(shell pwd | sed 's|.*/||g')
 CC            = gcc
-CFLAGS        = -O2 -Wall
+#CFLAGS        = -O2 -Wall
+ccflags-y     = -O2 -Wall
 KERNEL_FLAGS  = -D__KERNEL__ -DMODULE $(MODVERSIONS)
 BINDIR	      = $(PREFIX)/bin
 SBINDIR	      = $(PREFIX)/sbin
@@ -42,18 +43,16 @@
   INCLUDE    +=	-include $(KERNEL_SOURCE)/include/linux/modversions.h
 endif
 
-all:		i8kbuttons i8kctl i8kmon
+all:		i8kbuttons i8kctl
 
 i8kbuttons:	i8kbuttons.c
 		$(CC) -g $(CFLAGS) -DPOLL_TIMEOUT=$(POLL_TIMEOUT) -I. -o $@ $<
 
 i8kctl:		i8kctl.c
 		$(CC) -g $(CFLAGS) -I. -o $@ $<
-		ln -fs $@ i8kfan
 
-install:	i8kbuttons i8kctl i8kmon
-		cp -fp i8kbuttons i8kctl i8kmon $(DESTDIR)/$(BINDIR)/
-		ln -fs i8kctl $(DESTDIR)/$(BINDIR)/i8kfan
+install:	i8kbuttons i8kctl i8kmon i8kfan
+		cp -fp i8kbuttons i8kctl i8kmon i8kfan $(DESTDIR)/$(BINDIR)/
 
 install-smm:	smm
 		cp -fp smm smm-test $(DESTDIR)/$(SBINDIR)/
@@ -69,7 +68,7 @@
 		rm -rf *~ *.o *.ko i8k.mod.* .i8k.* .tmp_versions linux "#*#"
 
 distclean:	clean
-		rm -f i8kbuttons i8kctl i8kfan smm
+		rm -f i8kbuttons i8kctl smm
 
 # Build the official debian package
 package:
@@ -105,7 +104,7 @@
 modversion:
 		$(MAKE) i8k.o MODVERSIONS=-DMODVERSIONS
 
-i8k.ko:		i8k.c
+i8k.ko:		i8k.c i8k.h
 		make -C $(KERNEL_SOURCE) M=$(PWD) modules
 
 i8k.o:		i8k.c
@@ -136,7 +135,7 @@
 		$(CC) -g $(CFLAGS) -I. -o $@ $<
 
 # Build the i8kutils-smm package. This package is for private use and must
-# not be distributed with debian or any other distribution. 
+# not be distributed with debian or any other distribution.
 smm-deb:
 		fakeroot ./debian/rules smm-deb
