=== debian/changelog ===
i8kutils (1.40) unstable; urgency=medium

  * Fix i8kmon error in verbose mode.
  * Fix dependency on 'acpi' for kFreeBSD.
    - Add 'acpi | acpitool' in 'debian/control'
  * Update Standards-Version to 3.9.4.
  * Fix lintian warnings.
  * Closes: #547210.

 -- Vitor Augusto <vitorafsr@gmail.com>  Sat, 16 Nov 2013 16:16:53 -0200

i8kutils (1.39) unstable; urgency=low

  * Fix frezee in some systems. LP: #1179282.
  * Fix bug where i8kfan needs a 'fan' argument. LP: #1104842.
    - i8kfan does not need this argument anymore.
  * Update 'apm -> acpi' in i8kmon.
  * Update i8k.c with the most recent version from the kernel mainline.
  * Update README.
  * Fix BIOS version at 'i8kctl' text to stdout. Closes: #546325.
  * Avoid multiple instances of i8kmon via 'service i8kmon start'. LP: #486483.
  * Put i8kmon enabled by default at /etc/default/i8kmon.
  * Correct global configuration filename to '/etc/i8kmon.conf'. LP: #799144.
    - Correct i8kmon.1 and i8kmon.conf.
  * Correct lintian warnings.
    - Update Standards-Version to 3.9.3
    - Upgrade compat version to 8 and debhelper Build-Depends.
  * Switch to dpkg-source 3.0 (native) format.
  * New maintainer. Closes: #548588.

 -- Vitor Augusto <vitorafsr@gmail.com>  Mon, 21 Oct 2013 15:17:50 -0300

i8kutils (1.34) unstable; urgency=low

  * QA upload.
  * Drop dependency on Tcl 8.4, add missing dependency on tcl providing
    /usr/bin/tclsh.
  * Add $remote_fs to init script LSB headers.
  * Enable hardening.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 30 Sep 2013 12:04:32 +0200

i8kutils (1.13) unstable; urgency=high

  * In i8k module added support for generating keyboard events.

  * Updated examples/i8k.def and README.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 14 May 2002 14:02:50 +0200

i8kutils (1.12) unstable; urgency=low

  * In i8k module added restricted fan control option.

  * In i8kmon added Reload and Exit commands to the applet menu.

  * In i8kmon added option to display temperature in fahrenheit.

  * If i8kmon exit program it the applet window is unexpectedly destroyed.

  * Updated i8kmon.conf, manpages and README.

 -- Massimo Dal Zotto <dz@debian.org>  Mon, 18 Mar 2002 17:18:49 +0100

i8kutils (1.11) unstable; urgency=low

  * Added /proc/acpi support and setmixer.sh example.

 -- Massimo Dal Zotto <dz@debian.org>  Mon, 11 Feb 2002 10:04:27 +0100

i8kutils (1.10) unstable; urgency=low

  * Removed version check in /proc/apm.

 -- Massimo Dal Zotto <dz@debian.org>  Sun, 10 Feb 2002 23:17:26 +0100

i8kutils (1.9) unstable; urgency=low

  * Fixed high temperature display in i8kmon.

 -- Massimo Dal Zotto <dz@debian.org>  Sat, 29 Dec 2001 16:38:01 +0100

i8kutils (1.8) unstable; urgency=low

  * Added Xmodmap and 40custom_load-xmodmap examples, updated README file.
    Closes: Bug#123801.

  * Fixed Spelling error in description.
    Closes: Bug#124745.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 18 Dec 2001 21:53:26 +0100
