=== debian/changelog ===
i8kutils (1.41) unstable; urgency=low

  * Probe 'acpi' and 'acpitool' before use.
  * Fix Tk dependency by using proper shebang and
    relaxing package version requirement (LP: #1248254).
  * Put 'i8kmon' in auto mode by default.
    - Remove '/etc/default/i8kmon' file
  * Update Standards-Version to 3.9.5.
  * Remove building 'i8kutils-smm'.

 -- Vitor Augusto <vitorafsr@gmail.com>  Sun, 02 Feb 2014 10:44:17 -0200
