=== debian/control ===
Source: i8kutils
Section: utils
Priority: optional
Maintainer: Vitor Augusto <vitorafsr@gmail.com>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.5
Homepage: https://launchpad.net/i8kutils

Package: i8kutils
Architecture: i386 kfreebsd-i386 amd64 kfreebsd-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, tcl, tk, acpi | acpitool, tclx
Description: Fan control for Dell laptops
 This is a collection of utilities to control Dell
 laptops fans. It includes programs to turn the fan on and off, to read fan
 status, CPU temperature, BIOS version and to handle the volume buttons
 and Fn-keys.
 .
 The package includes also a small Tk applet, designed to be swallowed in
 the GNOME panel, which monitors the CPU temperature and controls
 automatically the fans accordingly to user defined thresholds.
 .
 The programs require the kernel module i8k.ko which can be compiled from
 the package sources or found in Linux kernel 2.4.14 and later versions.
