=== debian/changelog ===
i8kutils (1.42) unstable; urgency=low

  * Enable put fan speeds in config file, avoiding probe values at every
  startup of i8kmon service.
  * Drop dependency on tclx.
  * Fill i8kmon manpage with the set of variables available to
  '/etc/i8kmon.conf'.
  * Update i8kmon manpage.
  * Update i8kctl manpage.
  * Remove i8kbuttons.
  * Improve verboseness in init script.
  * Use more lsb compatible functions.
  * Update 'README', 'debian/control' files infos.
  * Fix constant freeze in some systems. LP: #1349176.
  * Correct system config filename over documentation. Closes: #681578.
  * Enable user set font for applet. Closes: #766620.

 -- Vitor Augusto <vitorafsr@gmail.com>  Mon, 08 Dec 2014 04:11:23 -0200
