=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,7 @@
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
 build: build-arch build-indep
-build-arch: build-stamp
-build-indep: build-stamp
-build-stamp:
+build-arch:
 	dh_testdir
 	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"
 	touch $@
@@ -15,9 +13,9 @@
 clean:
 	dh_testdir
 	rm -f build-stamp
-	$(MAKE) clean
 	dh_clean
 
+binary: binary-arch binary-indep
 binary-arch: build
 	dh_testdir
 	dh_testroot
@@ -38,8 +36,8 @@
 	dh_md5sums -pi8kutils
 	dh_builddeb -pi8kutils
 
-binary-indep:
+build-indep: ;
 
-binary: binary-indep binary-arch
+binary-indep: ;
 
-.PHONY: build clean binary-indep binary-arch binary
+.PHONY: build clean binary-arch binary
