## i8kutils 1.43~mx15+1

=== debian/changelog ===
i8kutils (1.43~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 13 Jan 2019 13:44:16 -0800

i8kutils (1.43) unstable; urgency=low

  * Remove ui from i8kmon.
  * Removed smm tool as smm.c code is obsolete. smm functions must be at
    kernel module.
  * Updated i8kmon to work with dell-smm-hwmon kernel module. LP: #1620360.
  * Updated manpages.
  * Drop dependency on tk package.

 -- Vitor Augusto <vitorafsr@gmail.com>  Mon, 06 Mar 2017 19:37:27 -0300
